<div class="test-artifact">
    <a name="testArtifactsGallery"
        aria-label="Test artifacts"
        class="test-artifact__link _image"
        ng-click="$ctrl.openImagesViewerModal($event)"
        ng-if="::('png' === $ctrl.artifact.extension)">
        <md-icon md-svg-icon="artifacts:image" class="test-artifact__link-icon material-icons"></md-icon>
        <span class="test-artifact__link-text"
              ng-mouseenter="$ctrl.artifact.isVisible = true"
              ng-mouseleave="$ctrl.artifact.isVisible = false">
            {{::($ctrl.artifact.shortName || $ctrl.artifact.name)}}
            <info-popup info-str="$ctrl.artifact.name" ng-if="$ctrl.artifact.shortName && $ctrl.artifact.isVisible"></info-popup>
        </span>
    </a>
    <a name="testArtifacts"
        href="{{::$ctrl.artifact.value}}"
        target="{{::($ctrl.artifact.isExternalLink ? '_blank' : '_self')}}"
        aria-label="Test artifacts"
        class="test-artifact__link"
        ng-if="::('png' !== $ctrl.artifact.extension)">
        <md-icon md-svg-icon="{{::$ctrl.getArtifactIconId($ctrl.artifact.extension)}}"
            ng-if="::$ctrl.artifact.extension"
            class="test-artifact__link-icon material-icons"></md-icon>
        <md-icon ng-if="!$ctrl.artifact.extension"
            class="test-artifact__link-icon material-icons">link</md-icon>
        <span class="test-artifact__link-text"
              ng-mouseenter="$ctrl.artifact.isVisible = true"
              ng-mouseleave="$ctrl.artifact.isVisible = false">
            {{::($ctrl.artifact.shortName || $ctrl.artifact.name)}}
            <info-popup info-str="$ctrl.artifact.name" ng-if="$ctrl.artifact.shortName && $ctrl.artifact.isVisible"></info-popup>
        </span>
    </a>
</div>
